package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.bonus.canteen.core.menu.enums.AllocMealtimeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@ApiModel
public class DrpProductionDetailRecipeOrderListVO {
   @ApiModelProperty("生产计划明细id")
   private Long productionDetailId;
   @ApiModelProperty("生产计划单号")
   private String productionPlanId;
   @ApiModelProperty("详情日期")
   private LocalDate detailDate;
   @ApiModelProperty("餐次类型(1早餐2午餐3下午茶4晚餐5宵夜)")
   private Integer mealtimeType;
   @ApiModelProperty("餐次名称")
   private String mealtimeName;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品")
   private String dishesName;
   @ApiModelProperty("菜品份数(按份)")
   private Integer dishesNum;
   @ApiModelProperty("菜品规格(1-标准,2-大份,3-小份)")
   private Integer sizeType;

   public String getMealtimeName() {
      return AllocMealtimeTypeEnum.getDescByKey(this.mealtimeType);
   }

   public Long getProductionDetailId() {
      return this.productionDetailId;
   }

   public String getProductionPlanId() {
      return this.productionPlanId;
   }

   public LocalDate getDetailDate() {
      return this.detailDate;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getDishesNum() {
      return this.dishesNum;
   }

   public Integer getSizeType() {
      return this.sizeType;
   }

   public DrpProductionDetailRecipeOrderListVO setProductionDetailId(final Long productionDetailId) {
      this.productionDetailId = productionDetailId;
      return this;
   }

   public DrpProductionDetailRecipeOrderListVO setProductionPlanId(final String productionPlanId) {
      this.productionPlanId = productionPlanId;
      return this;
   }

   public DrpProductionDetailRecipeOrderListVO setDetailDate(final LocalDate detailDate) {
      this.detailDate = detailDate;
      return this;
   }

   public DrpProductionDetailRecipeOrderListVO setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
      return this;
   }

   public DrpProductionDetailRecipeOrderListVO setMealtimeName(final String mealtimeName) {
      this.mealtimeName = mealtimeName;
      return this;
   }

   public DrpProductionDetailRecipeOrderListVO setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
      return this;
   }

   public DrpProductionDetailRecipeOrderListVO setDishesName(final String dishesName) {
      this.dishesName = dishesName;
      return this;
   }

   public DrpProductionDetailRecipeOrderListVO setDishesNum(final Integer dishesNum) {
      this.dishesNum = dishesNum;
      return this;
   }

   public DrpProductionDetailRecipeOrderListVO setSizeType(final Integer sizeType) {
      this.sizeType = sizeType;
      return this;
   }
}
